//
//  ViewController.m
//  TF_manKeyboardManager
//
//  Created by 体团网 on 16/5/17.
//  Copyright © 2016年 TF_man. All rights reserved.
//

#import "ViewController.h"
#import "IQKeyboardManager.h"
#import "TableViewCell.h"
#import "RegisterViewController.h"


@interface ViewController ()


@property (weak, nonatomic) IBOutlet UITableView *tv;


@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    //注册nib
    UINib *nib = [UINib nibWithNibName:@"TableViewCell" bundle:nil];
    [self.tv registerNib:nib forCellReuseIdentifier:@"TableViewCellID"];
    
    
}

#pragma mark -------- UITableViewDataSource


- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    
    
    return 1;
    
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    
    TableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"TableViewCellID"];
    cell.nameLb.text = @"注册个人信息";
    
    return cell;
    
}

#pragma mark -------- UITableViewDelegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath{
    
    
    RegisterViewController *registerV = [[RegisterViewController alloc]init];
    registerV.navigationItem.hidesBackButton = YES;
    [self.navigationController pushViewController:registerV animated:YES];

}




@end
